#221 No incoming calls Cisco 7920

trunk
closed
7920 (1)
1.8
5
2014-09-17
2014-03-21
Anonymous
No

Cisco 7920 is registering can make outbound calls and hold/un-hold calls, however unable to receive calls. Looked through console and saw this output. Any ideas?

[Mar 20 22:33:30] NOTICE[32009]: sccp_socket.c:807 sccp_socket_device_thread: SCCP: Closing session because connection timed out after 66 seconds (timeout: 66000) (ip-address: 192.168.58.132).
[Mar 20 22:33:42] NOTICE[32011]: sccp_socket.c:807 sccp_socket_device_thread: SEP0013196EA606: Closing session because connection timed out after 66 seconds (timeout: 66000) (ip-address: 192.168.58.132).
[Mar 20 22:34:08] ERROR[32013]: sccp_socket.c:527 sccp_read_data: SCCP: error 'Connection reset by peer (104)' while reading from socket.
[Mar 20 22:34:08] ERROR[32013]: sccp_socket.c:528 sccp_read_data: SCCP: stats: Keep Alive Message (0), msgDataSegmentSize: 0, UnreadBytesAccordingToPacket: 0, bytesToRead: 0, bytesReadSoFar: 0
[Mar 20 22:34:08] ERROR[32014]: sccp_socket.c:527 sccp_read_data: SEP0013196EA606: error 'Connection reset by peer (104)' while reading from socket.
[Mar 20 22:34:08] ERROR[32014]: sccp_socket.c:528 sccp_read_data: SEP0013196EA606: stats: Keep Alive Message (0), msgDataSegmentSize: 0, UnreadBytesAccordingToPacket: 0, bytesToRead: 0, bytesReadSoFar: 0
[Mar 20 22:34:08] ERROR[32014]: sccp_socket.c:1101 sccp_session_send2: SEP0013196EA606: write returned -1 (error: 'Broken pipe (32)'). Sent 0 of 16 for Message: 'Reset' with total length 8
[Mar 20 22:34:08] ERROR[32014]: sccp_socket.c:1115 sccp_session_send2: SEP0013196EA606: Could only send 0 of 16 bytes!

Discussion

  • This looks like a device re-registration, which should not really be related to not being able to receive calls. I would guess this should be related to your dialplan & context settings.

    Please sign up to the mailinglist so we can exchange some config files.

     

  • Anonymous
    2014-03-28

    The line instance in question is a shared line on this device and a 7940 . They ring correctly.

    [SEP0006D725F1EC]
    description = Dev Phone
    devicetype = 7940
    park = on
    button = line,2000
    type = device
    private = on
    dnd = on
    mwilamp = on
    mwioncall = on
    permit = 0.0.0.0/0.0.0.0
    directrtp= on
    dtmfmode = inband

    [SEP0013196EA606]
    description = Wireless Phone
    devicetype = 7920
    park = on
    button = line, 2000
    button = line, 2411
    cfwdall = on
    type = device
    private = on
    dnd = on
    mwilamp = on
    mwioncall = on
    permit = 0.0.0.0/0.0.0.0
    directrtp = on
    dtmfmode = inband

    [2000]
    id = 2000
    pin = ****
    type = line
    label = 2000
    description = Line
    mailbox = 9999
    cid_name = Line
    cid_num = 2000
    context = phones
    incominglimit = 2
    transfer = on
    vmnum = 8500
    secondary_dialtone_digits = 9
    secondary_dialtone_tone = 0x22
    musicclass=default
    language = en
    audio_tos = 0xB8
    audio_cos = 6
    video_tos = 0x88
    video_cos = 5
    echocancel = on
    silencesuppression = off

    Dial plan excerpt.

    [ringallscript]
    exten=>s,1,Dial(SCCP/2000,20)

    [phones]
    exten=>2000,1,SetCalledParty("New House" <2000>);
    exten=>2000,2,goto(ringallscript,s,1)

     
  • Remarks: Do not use directrtp at this moment (We are working this in a seperate projects).

    Can you call line 2000 from the SEP0013196EA606 or SEP0006D725F1EC
    If the [phones] context included in another context where incoming calls are handled.

    What does the asterisk log look like when you dial extension 2000 ?

    Please switch to the mailinglist, so everybody can help out.

     
    • status: open --> pending
    • assigned_to: Diederik de Groot
    • asterisk version: --> ????
     
  • Any updates ? Which asterisk version / chan-sccp-b revision

     
    • labels: --> 7920
    • status: pending --> closed
    • asterisk version: ???? -->